Ubuntu 5510-2: X.Org X Server vulnerabilities | LinuxSecurity.com

Advisories

==========================================================================
Ubuntu Security Notice USN-5510-2
July 12, 2022

xorg-server, xorg-server-hwe-16.04 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.04 ESM

Summary:

Several security issues were fixed in X.Org X Server.

Software Description:
- xorg-server: X.Org X11 server
- xorg-server-hwe-16.04: X.Org X11 server

Details:

USN-5510-1 fixed several vulnerabilities in X.Org. This update provides
the corresponding update for Ubuntu 16.04 ESM.

Original advisory details:

 Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled
 certain inputs. An attacker could use this issue to cause the server to
 crash, resulting in a denial of service, or possibly execute arbitrary
 code and escalate privileges.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.04 ESM:
  xserver-xorg-core               2:1.18.4-0ubuntu0.12+esm2
  xserver-xorg-core-hwe-16.04     2:1.19.6-1ubuntu4.1~16.04.6+esm1
  xwayland                        2:1.18.4-0ubuntu0.12+esm2
  xwayland-hwe-16.04              2:1.19.6-1ubuntu4.1~16.04.6+esm1

After a standard system update you need to reboot your computer to make all
the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-5510-2
  https://ubuntu.com/security/notices/USN-5510-1
  CVE-2022-2319, CVE-2022-2320

Ubuntu 5510-2: X.Org X Server vulnerabilities

July 12, 2022

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 16.04 ESM Summary: Several security issues were fixed in X.Org X Server. Software Description: - xorg-server: X.Org X11 server - xorg-server-hwe-16.04: X.Org X11 server Details: USN-5510-1 fixed several vulnerabilities in X.Org. This update provides the corresponding update for Ubuntu 16.04 ESM. Original advisory details: Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled certain inputs. An attacker could use this issue to cause the server to crash, resulting in a denial of service, or possibly execute arbitrary code and escalate privileges.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 16.04 ESM: xserver-xorg-core 2:1.18.4-0ubuntu0.12+esm2 xserver-xorg-core-hwe-16.04 2:1.19.6-1ubuntu4.1~16.04.6+esm1 xwayland 2:1.18.4-0ubuntu0.12+esm2 xwayland-hwe-16.04 2:1.19.6-1ubuntu4.1~16.04.6+esm1 After a standard system update you need to reboot your computer to make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-5510-2

https://ubuntu.com/security/notices/USN-5510-1

CVE-2022-2319, CVE-2022-2320

Severity
Ubuntu Security Notice USN-5510-2

Package Information

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.